/// A list of all codepoints available in `Ubuntu-Light.ttf`
#[rustfmt::skip]
pub const UBUNTU_FONT_CHARACTERS: &[(u32, char, &str)] = &[
    (0x21, '!', "exclamation mark"),
    (0x22, '"', "quotation mark"),
    (0x23, '#', "number sign"),
    (0x24, '$', "dollar sign"),
    (0x25, '%', "percent sign"),
    (0x26, '&', "ampersand"),
    (0x27, '\'', "apostrophe"),
    (0x28, '(', "left parenthesis"),
    (0x29, ')', "right parenthesis"),
    (0x2A, '*', "asterisk"),
    (0x2B, '+', "plus sign"),
    (0x2C, ',', "comma"),
    (0x2D, '-', "hyphen-minus"),
    (0x2E, '.', "full stop"),
    (0x2F, '/', "solidus (slash)"),
    (0x30, '0', "digit zero"),
    (0x31, '1', "digit one"),
    (0x32, '2', "digit two"),
    (0x33, '3', "digit three"),
    (0x34, '4', "digit four"),
    (0x35, '5', "digit five"),
    (0x36, '6', "digit six"),
    (0x37, '7', "digit seven"),
    (0x38, '8', "digit eight"),
    (0x39, '9', "digit nine"),
    (0x3A, ':', "colon"),
    (0x3B, ';', "semicolon"),
    (0x3C, '<', "less-than sign"),
    (0x3D, '=', "equals sign"),
    (0x3E, '>', "greater-than sign"),
    (0x3F, '?', "question mark"),
    (0x40, '@', "commercial at"),
    (0x41, 'A', "latin capital letter a"),
    (0x42, 'B', "latin capital letter b"),
    (0x43, 'C', "latin capital letter c"),
    (0x44, 'D', "latin capital letter d"),
    (0x45, 'E', "latin capital letter e"),
    (0x46, 'F', "latin capital letter f"),
    (0x47, 'G', "latin capital letter g"),
    (0x48, 'H', "latin capital letter h"),
    (0x49, 'I', "latin capital letter i"),
    (0x4A, 'J', "latin capital letter j"),
    (0x4B, 'K', "latin capital letter k"),
    (0x4C, 'L', "latin capital letter l"),
    (0x4D, 'M', "latin capital letter m"),
    (0x4E, 'N', "latin capital letter n"),
    (0x4F, 'O', "latin capital letter o"),
    (0x50, 'P', "latin capital letter p"),
    (0x51, 'Q', "latin capital letter q"),
    (0x52, 'R', "latin capital letter r"),
    (0x53, 'S', "latin capital letter s"),
    (0x54, 'T', "latin capital letter t"),
    (0x55, 'U', "latin capital letter u"),
    (0x56, 'V', "latin capital letter v"),
    (0x57, 'W', "latin capital letter w"),
    (0x58, 'X', "latin capital letter x"),
    (0x59, 'Y', "latin capital letter y"),
    (0x5A, 'Z', "latin capital letter z"),
    (0x5B, '[', "left square bracket"),
    (0x5C, '\\', "reverse solidus (backslash)"),
    (0x5D, ']', "right square bracket"),
    (0x5E, '^', "circumflex accent"),
    (0x5F, '_', "low line"),
    (0x60, '`', "grave accent"),
    (0x61, 'a', "latin small letter a"),
    (0x62, 'b', "latin small letter b"),
    (0x63, 'c', "latin small letter c"),
    (0x64, 'd', "latin small letter d"),
    (0x65, 'e', "latin small letter e"),
    (0x66, 'f', "latin small letter f"),
    (0x67, 'g', "latin small letter g"),
    (0x68, 'h', "latin small letter h"),
    (0x69, 'i', "latin small letter i"),
    (0x6A, 'j', "latin small letter j"),
    (0x6B, 'k', "latin small letter k"),
    (0x6C, 'l', "latin small letter l"),
    (0x6D, 'm', "latin small letter m"),
    (0x6E, 'n', "latin small letter n"),
    (0x6F, 'o', "latin small letter o"),
    (0x70, 'p', "latin small letter p"),
    (0x71, 'q', "latin small letter q"),
    (0x72, 'r', "latin small letter r"),
    (0x73, 's', "latin small letter s"),
    (0x74, 't', "latin small letter t"),
    (0x75, 'u', "latin small letter u"),
    (0x76, 'v', "latin small letter v"),
    (0x77, 'w', "latin small letter w"),
    (0x78, 'x', "latin small letter x"),
    (0x79, 'y', "latin small letter y"),
    (0x7A, 'z', "latin small letter z"),
    (0x7B, '{', "left curly bracket"),
    (0x7C, '|', "vertical line"),
    (0x7D, '}', "right curly bracket"),
    (0x7E, '~', "tilde"),
    (0xA1, '¡', "inverted exclamation mark"),
    (0xA2, '¢', "cent sign"),
    (0xA3, '£', "pound sign"),
    (0xA4, '¤', "currency sign"),
    (0xA5, '¥', "yen sign"),
    (0xA6, '¦', "broken bar"),
    (0xA7, '§', "section sign"),
    (0xA8, '¨', "diaeresis"),
    (0xA9, '©', "copyright sign"),
    (0xAA, 'ª', "feminine ordinal indicator"),
    (0xAB, '«', "left-pointing double angle quotation mark"),
    (0xAC, '¬', "not sign"),
    (0xAD, '­', "soft hyphen"),
    (0xAE, '®', "registered sign"),
    (0xAF, '¯', "macron"),
    (0xB0, '°', "degree sign"),
    (0xB1, '±', "plus-minus sign"),
    (0xB2, '²', "superscript two"),
    (0xB3, '³', "superscript three"),
    (0xB4, '´', "acute accent"),
    (0xB5, 'µ', "micro sign"),
    (0xB6, '¶', "pilcrow sign"),
    (0xB7, '·', "middle dot"),
    (0xB8, '¸', "cedilla"),
    (0xB9, '¹', "superscript one"),
    (0xBA, 'º', "masculine ordinal indicator"),
    (0xBB, '»', "right-pointing double angle quotation mark"),
    (0xBC, '¼', "vulgar fraction one quarter"),
    (0xBD, '½', "vulgar fraction one half"),
    (0xBE, '¾', "vulgar fraction three quarters"),
    (0xBF, '¿', "inverted question mark"),
    (0xC0, 'À', "latin capital letter a with grave"),
    (0xC1, 'Á', "latin capital letter a with acute"),
    (0xC2, 'Â', "latin capital letter a with circumflex"),
    (0xC3, 'Ã', "latin capital letter a with tilde"),
    (0xC4, 'Ä', "latin capital letter a with diaeresis"),
    (0xC5, 'Å', "latin capital letter a with ring above"),
    (0xC6, 'Æ', "latin capital letter ae"),
    (0xC7, 'Ç', "latin capital letter c with cedilla"),
    (0xC8, 'È', "latin capital letter e with grave"),
    (0xC9, 'É', "latin capital letter e with acute"),
    (0xCA, 'Ê', "latin capital letter e with circumflex"),
    (0xCB, 'Ë', "latin capital letter e with diaeresis"),
    (0xCC, 'Ì', "latin capital letter i with grave"),
    (0xCD, 'Í', "latin capital letter i with acute"),
    (0xCE, 'Î', "latin capital letter i with circumflex"),
    (0xCF, 'Ï', "latin capital letter i with diaeresis"),
    (0xD0, 'Ð', "latin capital letter eth"),
    (0xD1, 'Ñ', "latin capital letter n with tilde"),
    (0xD2, 'Ò', "latin capital letter o with grave"),
    (0xD3, 'Ó', "latin capital letter o with acute"),
    (0xD4, 'Ô', "latin capital letter o with circumflex"),
    (0xD5, 'Õ', "latin capital letter o with tilde"),
    (0xD6, 'Ö', "latin capital letter o with diaeresis"),
    (0xD7, '×', "multiplication sign"),
    (0xD8, 'Ø', "latin capital letter o with stroke"),
    (0xD9, 'Ù', "latin capital letter u with grave"),
    (0xDA, 'Ú', "latin capital letter u with acute"),
    (0xDB, 'Û', "latin capital letter u with circumflex"),
    (0xDC, 'Ü', "latin capital letter u with diaeresis"),
    (0xDD, 'Ý', "latin capital letter y with acute"),
    (0xDE, 'Þ', "latin capital letter thorn"),
    (0xDF, 'ß', "latin small letter sharp s"),
    (0xE0, 'à', "latin small letter a with grave"),
    (0xE1, 'á', "latin small letter a with acute"),
    (0xE2, 'â', "latin small letter a with circumflex"),
    (0xE3, 'ã', "latin small letter a with tilde"),
    (0xE4, 'ä', "latin small letter a with diaeresis"),
    (0xE5, 'å', "latin small letter a with ring above"),
    (0xE6, 'æ', "latin small letter ae"),
    (0xE7, 'ç', "latin small letter c with cedilla"),
    (0xE8, 'è', "latin small letter e with grave"),
    (0xE9, 'é', "latin small letter e with acute"),
    (0xEA, 'ê', "latin small letter e with circumflex"),
    (0xEB, 'ë', "latin small letter e with diaeresis"),
    (0xEC, 'ì', "latin small letter i with grave"),
    (0xED, 'í', "latin small letter i with acute"),
    (0xEE, 'î', "latin small letter i with circumflex"),
    (0xEF, 'ï', "latin small letter i with diaeresis"),
    (0xF0, 'ð', "latin small letter eth"),
    (0xF1, 'ñ', "latin small letter n with tilde"),
    (0xF2, 'ò', "latin small letter o with grave"),
    (0xF3, 'ó', "latin small letter o with acute"),
    (0xF4, 'ô', "latin small letter o with circumflex"),
    (0xF5, 'õ', "latin small letter o with tilde"),
    (0xF6, 'ö', "latin small letter o with diaeresis"),
    (0xF7, '÷', "division sign"),
    (0xF8, 'ø', "latin small letter o with stroke"),
    (0xF9, 'ù', "latin small letter u with grave"),
    (0xFA, 'ú', "latin small letter u with acute"),
    (0xFB, 'û', "latin small letter u with circumflex"),
    (0xFC, 'ü', "latin small letter u with diaeresis"),
    (0xFD, 'ý', "latin small letter y with acute"),
    (0xFE, 'þ', "latin small letter thorn"),
    (0xFF, 'ÿ', "latin small letter y with diaeresis"),
    (0x100, 'Ā', "latin capital letter a with macron"),
    (0x101, 'ā', "latin small letter a with macron"),
    (0x102, 'Ă', "latin capital letter a with breve"),
    (0x103, 'ă', "latin small letter a with breve"),
    (0x104, 'Ą', "latin capital letter a with ogonek"),
    (0x105, 'ą', "latin small letter a with ogonek"),
    (0x106, 'Ć', "latin capital letter c with acute"),
    (0x107, 'ć', "latin small letter c with acute"),
    (0x108, 'Ĉ', "latin capital letter c with circumflex"),
    (0x109, 'ĉ', "latin small letter c with circumflex"),
    (0x10A, 'Ċ', "latin capital letter c with dot above"),
    (0x10B, 'ċ', "latin small letter c with dot above"),
    (0x10C, 'Č', "latin capital letter c with caron"),
    (0x10D, 'č', "latin small letter c with caron"),
    (0x10E, 'Ď', "latin capital letter d with caron"),
    (0x10F, 'ď', "latin small letter d with caron"),
    (0x110, 'Đ', "latin capital letter d with stroke"),
    (0x111, 'đ', "latin small letter d with stroke"),
    (0x112, 'Ē', "latin capital letter e with macron"),
    (0x113, 'ē', "latin small letter e with macron"),
    (0x114, 'Ĕ', "latin capital letter e with breve"),
    (0x115, 'ĕ', "latin small letter e with breve"),
    (0x116, 'Ė', "latin capital letter e with dot above"),
    (0x117, 'ė', "latin small letter e with dot above"),
    (0x118, 'Ę', "latin capital letter e with ogonek"),
    (0x119, 'ę', "latin small letter e with ogonek"),
    (0x11A, 'Ě', "latin capital letter e with caron"),
    (0x11B, 'ě', "latin small letter e with caron"),
    (0x11C, 'Ĝ', "latin capital letter g with circumflex"),
    (0x11D, 'ĝ', "latin small letter g with circumflex"),
    (0x11E, 'Ğ', "latin capital letter g with breve"),
    (0x11F, 'ğ', "latin small letter g with breve"),
    (0x120, 'Ġ', "latin capital letter g with dot above"),
    (0x121, 'ġ', "latin small letter g with dot above"),
    (0x122, 'Ģ', "latin capital letter g with cedilla"),
    (0x123, 'ģ', "latin small letter g with cedilla"),
    (0x124, 'Ĥ', "latin capital letter h with circumflex"),
    (0x125, 'ĥ', "latin small letter h with circumflex"),
    (0x126, 'Ħ', "latin capital letter h with stroke"),
    (0x127, 'ħ', "latin small letter h with stroke"),
    (0x128, 'Ĩ', "latin capital letter i with tilde"),
    (0x129, 'ĩ', "latin small letter i with tilde"),
    (0x12A, 'Ī', "latin capital letter i with macron"),
    (0x12B, 'ī', "latin small letter i with macron"),
    (0x12C, 'Ĭ', "latin capital letter i with breve"),
    (0x12D, 'ĭ', "latin small letter i with breve"),
    (0x12E, 'Į', "latin capital letter i with ogonek"),
    (0x12F, 'į', "latin small letter i with ogonek"),
    (0x130, 'İ', "latin capital letter i with dot above"),
    (0x131, 'ı', "latin small letter dotless i"),
    (0x132, 'Ĳ', "latin capital ligature ij"),
    (0x133, 'ĳ', "latin small ligature ij"),
    (0x134, 'Ĵ', "latin capital letter j with circumflex"),
    (0x135, 'ĵ', "latin small letter j with circumflex"),
    (0x136, 'Ķ', "latin capital letter k with cedilla"),
    (0x137, 'ķ', "latin small letter k with cedilla"),
    (0x138, 'ĸ', "latin small letter kra"),
    (0x139, 'Ĺ', "latin capital letter l with acute"),
    (0x13A, 'ĺ', "latin small letter l with acute"),
    (0x13B, 'Ļ', "latin capital letter l with cedilla"),
    (0x13C, 'ļ', "latin small letter l with cedilla"),
    (0x13D, 'Ľ', "latin capital letter l with caron"),
    (0x13E, 'ľ', "latin small letter l with caron"),
    (0x13F, 'Ŀ', "latin capital letter l with middle dot"),
    (0x140, 'ŀ', "latin small letter l with middle dot"),
    (0x141, 'Ł', "latin capital letter l with stroke"),
    (0x142, 'ł', "latin small letter l with stroke"),
    (0x143, 'Ń', "latin capital letter n with acute"),
    (0x144, 'ń', "latin small letter n with acute"),
    (0x145, 'Ņ', "latin capital letter n with cedilla"),
    (0x146, 'ņ', "latin small letter n with cedilla"),
    (0x147, 'Ň', "latin capital letter n with caron"),
    (0x148, 'ň', "latin small letter n with caron"),
    (0x149, 'ŉ', "latin small letter n preceded by apostrophe"),
    (0x14A, 'Ŋ', "latin capital letter eng"),
    (0x14B, 'ŋ', "latin small letter eng"),
    (0x14C, 'Ō', "latin capital letter o with macron"),
    (0x14D, 'ō', "latin small letter o with macron"),
    (0x14E, 'Ŏ', "latin capital letter o with breve"),
    (0x14F, 'ŏ', "latin small letter o with breve"),
    (0x150, 'Ő', "latin capital letter o with double acute"),
    (0x151, 'ő', "latin small letter o with double acute"),
    (0x152, 'Œ', "latin capital ligature oe"),
    (0x153, 'œ', "latin small ligature oe"),
    (0x154, 'Ŕ', "latin capital letter r with acute"),
    (0x155, 'ŕ', "latin small letter r with acute"),
    (0x156, 'Ŗ', "latin capital letter r with cedilla"),
    (0x157, 'ŗ', "latin small letter r with cedilla"),
    (0x158, 'Ř', "latin capital letter r with caron"),
    (0x159, 'ř', "latin small letter r with caron"),
    (0x15A, 'Ś', "latin capital letter s with acute"),
    (0x15B, 'ś', "latin small letter s with acute"),
    (0x15C, 'Ŝ', "latin capital letter s with circumflex"),
    (0x15D, 'ŝ', "latin small letter s with circumflex"),
    (0x15E, 'Ş', "latin capital letter s with cedilla"),
    (0x15F, 'ş', "latin small letter s with cedilla"),
    (0x160, 'Š', "latin capital letter s with caron"),
    (0x161, 'š', "latin small letter s with caron"),
    (0x162, 'Ţ', "latin capital letter t with cedilla"),
    (0x163, 'ţ', "latin small letter t with cedilla"),
    (0x164, 'Ť', "latin capital letter t with caron"),
    (0x165, 'ť', "latin small letter t with caron"),
    (0x166, 'Ŧ', "latin capital letter t with stroke"),
    (0x167, 'ŧ', "latin small letter t with stroke"),
    (0x168, 'Ũ', "latin capital letter u with tilde"),
    (0x169, 'ũ', "latin small letter u with tilde"),
    (0x16A, 'Ū', "latin capital letter u with macron"),
    (0x16B, 'ū', "latin small letter u with macron"),
    (0x16C, 'Ŭ', "latin capital letter u with breve"),
    (0x16D, 'ŭ', "latin small letter u with breve"),
    (0x16E, 'Ů', "latin capital letter u with ring above"),
    (0x16F, 'ů', "latin small letter u with ring above"),
    (0x170, 'Ű', "latin capital letter u with double acute"),
    (0x171, 'ű', "latin small letter u with double acute"),
    (0x172, 'Ų', "latin capital letter u with ogonek"),
    (0x173, 'ų', "latin small letter u with ogonek"),
    (0x174, 'Ŵ', "latin capital letter w with circumflex"),
    (0x175, 'ŵ', "latin small letter w with circumflex"),
    (0x176, 'Ŷ', "latin capital letter y with circumflex"),
    (0x177, 'ŷ', "latin small letter y with circumflex"),
    (0x178, 'Ÿ', "latin capital letter y with diaeresis"),
    (0x179, 'Ź', "latin capital letter z with acute"),
    (0x17A, 'ź', "latin small letter z with acute"),
    (0x17B, 'Ż', "latin capital letter z with dot above"),
    (0x17C, 'ż', "latin small letter z with dot above"),
    (0x17D, 'Ž', "latin capital letter z with caron"),
    (0x17E, 'ž', "latin small letter z with caron"),
    (0x17F, 'ſ', "latin small letter long s"),
    (0x180, 'ƀ', "latin small letter b with stroke"),
    (0x181, 'Ɓ', "latin capital letter b with hook"),
    (0x182, 'Ƃ', "latin capital letter b with topbar"),
    (0x183, 'ƃ', "latin small letter b with topbar"),
    (0x184, 'Ƅ', "latin capital letter tone six"),
    (0x185, 'ƅ', "latin small letter tone six"),
    (0x186, 'Ɔ', "latin capital letter open o"),
    (0x187, 'Ƈ', "latin capital letter c with hook"),
    (0x188, 'ƈ', "latin small letter c with hook"),
    (0x189, 'Ɖ', "latin capital letter african d"),
    (0x18A, 'Ɗ', "latin capital letter d with hook"),
    (0x18B, 'Ƌ', "latin capital letter d with topbar"),
    (0x18C, 'ƌ', "latin small letter d with topbar"),
    (0x18D, 'ƍ', "latin small letter turned delta"),
    (0x18E, 'Ǝ', "latin capital letter reversed e"),
    (0x18F, 'Ə', "latin capital letter schwa"),
    (0x190, 'Ɛ', "latin capital letter open e"),
    (0x191, 'Ƒ', "latin capital letter f with hook"),
    (0x192, 'ƒ', "latin small letter f with hook"),
    (0x193, 'Ɠ', "latin capital letter g with hook"),
    (0x194, 'Ɣ', "latin capital letter gamma"),
    (0x195, 'ƕ', "latin small letter hv"),
    (0x196, 'Ɩ', "latin capital letter iota"),
    (0x197, 'Ɨ', "latin capital letter i with stroke"),
    (0x198, 'Ƙ', "latin capital letter k with hook"),
    (0x199, 'ƙ', "latin small letter k with hook"),
    (0x19A, 'ƚ', "latin small letter l with bar"),
    (0x19B, 'ƛ', "latin small letter lambda with stroke"),
    (0x19C, 'Ɯ', "latin capital letter turned m"),
    (0x19D, 'Ɲ', "latin capital letter n with left hook"),
    (0x19E, 'ƞ', "latin small letter n with long right leg"),
    (0x19F, 'Ɵ', "latin capital letter o with middle tilde"),
    (0x1A0, 'Ơ', "latin capital letter o with horn"),
    (0x1A1, 'ơ', "latin small letter o with horn"),
    (0x1A2, 'Ƣ', "latin capital letter oi"),
    (0x1A3, 'ƣ', "latin small letter oi"),
    (0x1A4, 'Ƥ', "latin capital letter p with hook"),
    (0x1A5, 'ƥ', "latin small letter p with hook"),
    (0x1A6, 'Ʀ', "latin letter yr"),
    (0x1A7, 'Ƨ', "latin capital letter tone two"),
    (0x1A8, 'ƨ', "latin small letter tone two"),
    (0x1A9, 'Ʃ', "latin capital letter esh"),
    (0x1AA, 'ƪ', "latin letter reversed esh loop"),
    (0x1AB, 'ƫ', "latin small letter t with palatal hook"),
    (0x1AC, 'Ƭ', "latin capital letter t with hook"),
    (0x1AD, 'ƭ', "latin small letter t with hook"),
    (0x1AE, 'Ʈ', "latin capital letter t with retroflex hook"),
    (0x1AF, 'Ư', "latin capital letter u with horn"),
    (0x1B0, 'ư', "latin small letter u with horn"),
    (0x1B1, 'Ʊ', "latin capital letter upsilon"),
    (0x1B2, 'Ʋ', "latin capital letter v with hook"),
    (0x1B3, 'Ƴ', "latin capital letter y with hook"),
    (0x1B4, 'ƴ', "latin small letter y with hook"),
    (0x1B5, 'Ƶ', "latin capital letter z with stroke"),
    (0x1B6, 'ƶ', "latin small letter z with stroke"),
    (0x1B7, 'Ʒ', "latin capital letter ezh"),
    (0x1B8, 'Ƹ', "latin capital letter ezh reversed"),
    (0x1B9, 'ƹ', "latin small letter ezh reversed"),
    (0x1BA, 'ƺ', "latin small letter ezh with tail"),
    (0x1BB, 'ƻ', "latin letter two with stroke"),
    (0x1BC, 'Ƽ', "latin capital letter tone five"),
    (0x1BD, 'ƽ', "latin small letter tone five"),
    (0x1BE, 'ƾ', "latin letter inverted glottal stop with stroke"),
    (0x1BF, 'ƿ', "latin letter wynn"),
    (0x1C0, 'ǀ', "latin letter dental click"),
    (0x1C1, 'ǁ', "latin letter lateral click"),
    (0x1C2, 'ǂ', "latin letter alveolar click"),
    (0x1C3, 'ǃ', "latin letter retroflex click"),
    (0x1C4, 'Ǆ', "latin capital letter dz with caron"),
    (0x1C5, 'ǅ', "latin capital letter d with small letter z with caron"),
    (0x1C6, 'ǆ', "latin small letter dz with caron"),
    (0x1C7, 'Ǉ', "latin capital letter lj"),
    (0x1C8, 'ǈ', "latin capital letter l with small letter j"),
    (0x1C9, 'ǉ', "latin small letter lj"),
    (0x1CA, 'Ǌ', "latin capital letter nj"),
    (0x1CB, 'ǋ', "latin capital letter n with small letter j"),
    (0x1CC, 'ǌ', "latin small letter nj"),
    (0x1CD, 'Ǎ', "latin capital letter a with caron"),
    (0x1CE, 'ǎ', "latin small letter a with caron"),
    (0x1CF, 'Ǐ', "latin capital letter i with caron"),
    (0x1D0, 'ǐ', "latin small letter i with caron"),
    (0x1D1, 'Ǒ', "latin capital letter o with caron"),
    (0x1D2, 'ǒ', "latin small letter o with caron"),
    (0x1D3, 'Ǔ', "latin capital letter u with caron"),
    (0x1D4, 'ǔ', "latin small letter u with caron"),
    (0x1D5, 'Ǖ', "latin capital letter u with diaeresis and macron"),
    (0x1D6, 'ǖ', "latin small letter u with diaeresis and macron"),
    (0x1D7, 'Ǘ', "latin capital letter u with diaeresis and acute"),
    (0x1D8, 'ǘ', "latin small letter u with diaeresis and acute"),
    (0x1D9, 'Ǚ', "latin capital letter u with diaeresis and caron"),
    (0x1DA, 'ǚ', "latin small letter u with diaeresis and caron"),
    (0x1DB, 'Ǜ', "latin capital letter u with diaeresis and grave"),
    (0x1DC, 'ǜ', "latin small letter u with diaeresis and grave"),
    (0x1DD, 'ǝ', "latin small letter turned e"),
    (0x1DE, 'Ǟ', "latin capital letter a with diaeresis and macron"),
    (0x1DF, 'ǟ', "latin small letter a with diaeresis and macron"),
    (0x1E0, 'Ǡ', "latin capital letter a with dot above and macron"),
    (0x1E1, 'ǡ', "latin small letter a with dot above and macron"),
    (0x1E2, 'Ǣ', "latin capital letter ae with macron"),
    (0x1E3, 'ǣ', "latin small letter ae with macron"),
    (0x1E4, 'Ǥ', "latin capital letter g with stroke"),
    (0x1E5, 'ǥ', "latin small letter g with stroke"),
    (0x1E6, 'Ǧ', "latin capital letter g with caron"),
    (0x1E7, 'ǧ', "latin small letter g with caron"),
    (0x1E8, 'Ǩ', "latin capital letter k with caron"),
    (0x1E9, 'ǩ', "latin small letter k with caron"),
    (0x1EA, 'Ǫ', "latin capital letter o with ogonek"),
    (0x1EB, 'ǫ', "latin small letter o with ogonek"),
    (0x1EC, 'Ǭ', "latin capital letter o with ogonek and macron"),
    (0x1ED, 'ǭ', "latin small letter o with ogonek and macron"),
    (0x1EE, 'Ǯ', "latin capital letter ezh with caron"),
    (0x1EF, 'ǯ', "latin small letter ezh with caron"),
    (0x1F0, 'ǰ', "latin small letter j with caron"),
    (0x1F1, 'Ǳ', "latin capital letter dz"),
    (0x1F2, 'ǲ', "latin capital letter d with small letter z"),
    (0x1F3, 'ǳ', "latin small letter dz"),
    (0x1F4, 'Ǵ', "latin capital letter g with acute"),
    (0x1F5, 'ǵ', "latin small letter g with acute"),
    (0x1F6, 'Ƕ', "latin capital letter hwair"),
    (0x1F7, 'Ƿ', "latin capital letter wynn"),
    (0x1F8, 'Ǹ', "latin capital letter n with grave"),
    (0x1F9, 'ǹ', "latin small letter n with grave"),
    (0x1FA, 'Ǻ', "latin capital letter a with ring above and acute"),
    (0x1FB, 'ǻ', "latin small letter a with ring above and acute"),
    (0x1FC, 'Ǽ', "latin capital letter ae with acute"),
    (0x1FD, 'ǽ', "latin small letter ae with acute"),
    (0x1FE, 'Ǿ', "latin capital letter o with stroke and acute"),
    (0x1FF, 'ǿ', "latin small letter o with stroke and acute"),
    (0x200, 'Ȁ', "latin capital letter a with double grave"),
    (0x201, 'ȁ', "latin small letter a with double grave"),
    (0x202, 'Ȃ', "latin capital letter a with inverted breve"),
    (0x203, 'ȃ', "latin small letter a with inverted breve"),
    (0x204, 'Ȅ', "latin capital letter e with double grave"),
    (0x205, 'ȅ', "latin small letter e with double grave"),
    (0x206, 'Ȇ', "latin capital letter e with inverted breve"),
    (0x207, 'ȇ', "latin small letter e with inverted breve"),
    (0x208, 'Ȉ', "latin capital letter i with double grave"),
    (0x209, 'ȉ', "latin small letter i with double grave"),
    (0x20A, 'Ȋ', "latin capital letter i with inverted breve"),
    (0x20B, 'ȋ', "latin small letter i with inverted breve"),
    (0x20C, 'Ȍ', "latin capital letter o with double grave"),
    (0x20D, 'ȍ', "latin small letter o with double grave"),
    (0x20E, 'Ȏ', "latin capital letter o with inverted breve"),
    (0x20F, 'ȏ', "latin small letter o with inverted breve"),
    (0x210, 'Ȑ', "latin capital letter r with double grave"),
    (0x211, 'ȑ', "latin small letter r with double grave"),
    (0x212, 'Ȓ', "latin capital letter r with inverted breve"),
    (0x213, 'ȓ', "latin small letter r with inverted breve"),
    (0x214, 'Ȕ', "latin capital letter u with double grave"),
    (0x215, 'ȕ', "latin small letter u with double grave"),
    (0x216, 'Ȗ', "latin capital letter u with inverted breve"),
    (0x217, 'ȗ', "latin small letter u with inverted breve"),
    (0x218, 'Ș', "latin capital letter s with comma below"),
    (0x219, 'ș', "latin small letter s with comma below"),
    (0x21A, 'Ț', "latin capital letter t with comma below"),
    (0x21B, 'ț', "latin small letter t with comma below"),
    (0x21C, 'Ȝ', "latin capital letter yogh"),
    (0x21D, 'ȝ', "latin small letter yogh"),
    (0x21E, 'Ȟ', "latin capital letter h with caron"),
    (0x21F, 'ȟ', "latin small letter h with caron"),
    (0x220, 'Ƞ', "latin capital letter n with long right leg"),
    (0x221, 'ȡ', "latin small letter d with curl"),
    (0x222, 'Ȣ', "latin capital letter ou"),
    (0x223, 'ȣ', "latin small letter ou"),
    (0x224, 'Ȥ', "latin capital letter z with hook"),
    (0x225, 'ȥ', "latin small letter z with hook"),
    (0x226, 'Ȧ', "latin capital letter a with dot above"),
    (0x227, 'ȧ', "latin small letter a with dot above"),
    (0x228, 'Ȩ', "latin capital letter e with cedilla"),
    (0x229, 'ȩ', "latin small letter e with cedilla"),
    (0x22A, 'Ȫ', "latin capital letter o with diaeresis and macron"),
    (0x22B, 'ȫ', "latin small letter o with diaeresis and macron"),
    (0x22C, 'Ȭ', "latin capital letter o with tilde and macron"),
    (0x22D, 'ȭ', "latin small letter o with tilde and macron"),
    (0x22E, 'Ȯ', "latin capital letter o with dot above"),
    (0x22F, 'ȯ', "latin small letter o with dot above"),
    (0x230, 'Ȱ', "latin capital letter o with dot above and macron"),
    (0x231, 'ȱ', "latin small letter o with dot above and macron"),
    (0x232, 'Ȳ', "latin capital letter y with macron"),
    (0x233, 'ȳ', "latin small letter y with macron"),
    (0x234, 'ȴ', "latin small letter l with curl"),
    (0x235, 'ȵ', "latin small letter n with curl"),
    (0x236, 'ȶ', "latin small letter t with curl"),
    (0x237, 'ȷ', "latin small letter dotless j"),
    (0x238, 'ȸ', "latin small letter db digraph"),
    (0x239, 'ȹ', "latin small letter qp digraph"),
    (0x23A, 'Ⱥ', "latin capital letter a with stroke"),
    (0x23B, 'Ȼ', "latin capital letter c with stroke"),
    (0x23C, 'ȼ', "latin small letter c with stroke"),
    (0x23D, 'Ƚ', "latin capital letter l with bar"),
    (0x23E, 'Ⱦ', "latin capital letter t with diagonal stroke"),
    (0x23F, 'ȿ', "latin small letter s with swash tail"),
    (0x240, 'ɀ', "latin small letter z with swash tail"),
    (0x241, 'Ɂ', "latin capital letter glottal stop"),
    (0x242, 'ɂ', "latin small letter glottal stop"),
    (0x243, 'Ƀ', "latin capital letter b with stroke"),
    (0x244, 'Ʉ', "latin capital letter u bar"),
    (0x245, 'Ʌ', "latin capital letter turned v"),
    (0x246, 'Ɇ', "latin capital letter e with stroke"),
    (0x247, 'ɇ', "latin small letter e with stroke"),
    (0x248, 'Ɉ', "latin capital letter j with stroke"),
    (0x249, 'ɉ', "latin small letter j with stroke"),
    (0x24A, 'Ɋ', "latin capital letter small q with hook tail"),
    (0x24B, 'ɋ', "latin small letter q with hook tail"),
    (0x24C, 'Ɍ', "latin capital letter r with stroke"),
    (0x24D, 'ɍ', "latin small letter r with stroke"),
    (0x24E, 'Ɏ', "latin capital letter y with stroke"),
    (0x24F, 'ɏ', "latin small letter y with stroke"),
    (0x292, 'ʒ', "latin small letter ezh"),
    (0x2BC, 'ʼ', "modifier letter apostrophe"),
    (0x2C6, 'ˆ', "modifier letter circumflex accent"),
    (0x2C7, 'ˇ', "caron"),
    (0x2C9, 'ˉ', "modifier letter macron"),
    (0x2D8, '˘', "breve"),
    (0x2D9, '˙', "dot above"),
    (0x2DA, '˚', "ring above"),
    (0x2DB, '˛', "ogonek"),
    (0x2DC, '˜', "small tilde"),
    (0x2DD, '˝', "double acute accent"),
    (0x311, '̑', "combining inverted breve"),
    (0x384, '΄', "greek tonos"),
    (0x385, '΅', "greek dialytika tonos"),
    (0x386, 'Ά', "greek capital letter alpha with tonos"),
    (0x388, 'Έ', "greek capital letter epsilon with tonos"),
    (0x389, 'Ή', "greek capital letter eta with tonos"),
    (0x38A, 'Ί', "greek capital letter iota with tonos"),
    (0x38C, 'Ό', "greek capital letter omicron with tonos"),
    (0x38E, 'Ύ', "greek capital letter upsilon with tonos"),
    (0x38F, 'Ώ', "greek capital letter omega with tonos"),
    (0x390, 'ΐ', "greek small letter iota with dialytika and tonos"),
    (0x391, 'Α', "greek capital letter alpha"),
    (0x392, 'Β', "greek capital letter beta"),
    (0x393, 'Γ', "greek capital letter gamma"),
    (0x394, 'Δ', "greek capital letter delta"),
    (0x395, 'Ε', "greek capital letter epsilon"),
    (0x396, 'Ζ', "greek capital letter zeta"),
    (0x397, 'Η', "greek capital letter eta"),
    (0x398, 'Θ', "greek capital letter theta"),
    (0x399, 'Ι', "greek capital letter iota"),
    (0x39A, 'Κ', "greek capital letter kappa"),
    (0x39B, 'Λ', "greek capital letter lamda"),
    (0x39C, 'Μ', "greek capital letter mu"),
    (0x39D, 'Ν', "greek capital letter nu"),
    (0x39E, 'Ξ', "greek capital letter xi"),
    (0x39F, 'Ο', "greek capital letter omicron"),
    (0x3A0, 'Π', "greek capital letter pi"),
    (0x3A1, 'Ρ', "greek capital letter rho"),
    (0x3A3, 'Σ', "greek capital letter sigma"),
    (0x3A4, 'Τ', "greek capital letter tau"),
    (0x3A5, 'Υ', "greek capital letter upsilon"),
    (0x3A6, 'Φ', "greek capital letter phi"),
    (0x3A7, 'Χ', "greek capital letter chi"),
    (0x3A8, 'Ψ', "greek capital letter psi"),
    (0x3A9, 'Ω', "greek capital letter omega"),
    (0x3AA, 'Ϊ', "greek capital letter iota with dialytika"),
    (0x3AB, 'Ϋ', "greek capital letter upsilon with dialytika"),
    (0x3AC, 'ά', "greek small letter alpha with tonos"),
    (0x3AD, 'έ', "greek small letter epsilon with tonos"),
    (0x3AE, 'ή', "greek small letter eta with tonos"),
    (0x3AF, 'ί', "greek small letter iota with tonos"),
    (0x3B0, 'ΰ', "greek small letter upsilon with dialytika and tonos"),
    (0x3B1, 'α', "greek small letter alpha"),
    (0x3B2, 'β', "greek small letter beta"),
    (0x3B3, 'γ', "greek small letter gamma"),
    (0x3B4, 'δ', "greek small letter delta"),
    (0x3B5, 'ε', "greek small letter epsilon"),
    (0x3B6, 'ζ', "greek small letter zeta"),
    (0x3B7, 'η', "greek small letter eta"),
    (0x3B8, 'θ', "greek small letter theta"),
    (0x3B9, 'ι', "greek small letter iota"),
    (0x3BA, 'κ', "greek small letter kappa"),
    (0x3BB, 'λ', "greek small letter lamda"),
    (0x3BC, 'μ', "greek small letter mu"),
    (0x3BD, 'ν', "greek small letter nu"),
    (0x3BE, 'ξ', "greek small letter xi"),
    (0x3BF, 'ο', "greek small letter omicron"),
    (0x3C0, 'π', "greek small letter pi"),
    (0x3C1, 'ρ', "greek small letter rho"),
    (0x3C2, 'ς', "greek small letter final sigma"),
    (0x3C3, 'σ', "greek small letter sigma"),
    (0x3C4, 'τ', "greek small letter tau"),
    (0x3C5, 'υ', "greek small letter upsilon"),
    (0x3C6, 'φ', "greek small letter phi"),
    (0x3C7, 'χ', "greek small letter chi"),
    (0x3C8, 'ψ', "greek small letter psi"),
    (0x3C9, 'ω', "greek small letter omega"),
    (0x3CA, 'ϊ', "greek small letter iota with dialytika"),
    (0x3CB, 'ϋ', "greek small letter upsilon with dialytika"),
    (0x3CC, 'ό', "greek small letter omicron with tonos"),
    (0x3CD, 'ύ', "greek small letter upsilon with tonos"),
    (0x3CE, 'ώ', "greek small letter omega with tonos"),
    (0x400, 'Ѐ', "cyrillic capital letter ie with grave"),
    (0x401, 'Ё', "cyrillic capital letter io"),
    (0x402, 'Ђ', "cyrillic capital letter dje"),
    (0x403, 'Ѓ', "cyrillic capital letter gje"),
    (0x404, 'Є', "cyrillic capital letter ukrainian ie"),
    (0x405, 'Ѕ', "cyrillic capital letter dze"),
    (0x406, 'І', "cyrillic capital letter byelorussian-ukrainian i"),
    (0x407, 'Ї', "cyrillic capital letter yi"),
    (0x408, 'Ј', "cyrillic capital letter je"),
    (0x409, 'Љ', "cyrillic capital letter lje"),
    (0x40A, 'Њ', "cyrillic capital letter nje"),
    (0x40B, 'Ћ', "cyrillic capital letter tshe"),
    (0x40C, 'Ќ', "cyrillic capital letter kje"),
    (0x40D, 'Ѝ', "cyrillic capital letter i with grave"),
    (0x40E, 'Ў', "cyrillic capital letter short u"),
    (0x40F, 'Џ', "cyrillic capital letter dzhe"),
    (0x410, 'А', "cyrillic capital letter a"),
    (0x411, 'Б', "cyrillic capital letter be"),
    (0x412, 'В', "cyrillic capital letter ve"),
    (0x413, 'Г', "cyrillic capital letter ghe"),
    (0x414, 'Д', "cyrillic capital letter de"),
    (0x415, 'Е', "cyrillic capital letter ie"),
    (0x416, 'Ж', "cyrillic capital letter zhe"),
    (0x417, 'З', "cyrillic capital letter ze"),
    (0x418, 'И', "cyrillic capital letter i"),
    (0x419, 'Й', "cyrillic capital letter short i"),
    (0x41A, 'К', "cyrillic capital letter ka"),
    (0x41B, 'Л', "cyrillic capital letter el"),
    (0x41C, 'М', "cyrillic capital letter em"),
    (0x41D, 'Н', "cyrillic capital letter en"),
    (0x41E, 'О', "cyrillic capital letter o"),
    (0x41F, 'П', "cyrillic capital letter pe"),
    (0x420, 'Р', "cyrillic capital letter er"),
    (0x421, 'С', "cyrillic capital letter es"),
    (0x422, 'Т', "cyrillic capital letter te"),
    (0x423, 'У', "cyrillic capital letter u"),
    (0x424, 'Ф', "cyrillic capital letter ef"),
    (0x425, 'Х', "cyrillic capital letter ha"),
    (0x426, 'Ц', "cyrillic capital letter tse"),
    (0x427, 'Ч', "cyrillic capital letter che"),
    (0x428, 'Ш', "cyrillic capital letter sha"),
    (0x429, 'Щ', "cyrillic capital letter shcha"),
    (0x42A, 'Ъ', "cyrillic capital letter hard sign"),
    (0x42B, 'Ы', "cyrillic capital letter yeru"),
    (0x42C, 'Ь', "cyrillic capital letter soft sign"),
    (0x42D, 'Э', "cyrillic capital letter e"),
    (0x42E, 'Ю', "cyrillic capital letter yu"),
    (0x42F, 'Я', "cyrillic capital letter ya"),
    (0x430, 'а', "cyrillic small letter a"),
    (0x431, 'б', "cyrillic small letter be"),
    (0x432, 'в', "cyrillic small letter ve"),
    (0x433, 'г', "cyrillic small letter ghe"),
    (0x434, 'д', "cyrillic small letter de"),
    (0x435, 'е', "cyrillic small letter ie"),
    (0x436, 'ж', "cyrillic small letter zhe"),
    (0x437, 'з', "cyrillic small letter ze"),
    (0x438, 'и', "cyrillic small letter i"),
    (0x439, 'й', "cyrillic small letter short i"),
    (0x43A, 'к', "cyrillic small letter ka"),
    (0x43B, 'л', "cyrillic small letter el"),
    (0x43C, 'м', "cyrillic small letter em"),
    (0x43D, 'н', "cyrillic small letter en"),
    (0x43E, 'о', "cyrillic small letter o"),
    (0x43F, 'п', "cyrillic small letter pe"),
    (0x440, 'р', "cyrillic small letter er"),
    (0x441, 'с', "cyrillic small letter es"),
    (0x442, 'т', "cyrillic small letter te"),
    (0x443, 'у', "cyrillic small letter u"),
    (0x444, 'ф', "cyrillic small letter ef"),
    (0x445, 'х', "cyrillic small letter ha"),
    (0x446, 'ц', "cyrillic small letter tse"),
    (0x447, 'ч', "cyrillic small letter che"),
    (0x448, 'ш', "cyrillic small letter sha"),
    (0x449, 'щ', "cyrillic small letter shcha"),
    (0x44A, 'ъ', "cyrillic small letter hard sign"),
    (0x44B, 'ы', "cyrillic small letter yeru"),
    (0x44C, 'ь', "cyrillic small letter soft sign"),
    (0x44D, 'э', "cyrillic small letter e"),
    (0x44E, 'ю', "cyrillic small letter yu"),
    (0x44F, 'я', "cyrillic small letter ya"),
    (0x450, 'ѐ', "cyrillic small letter ie with grave"),
    (0x451, 'ё', "cyrillic small letter io"),
    (0x452, 'ђ', "cyrillic small letter dje"),
    (0x453, 'ѓ', "cyrillic small letter gje"),
    (0x454, 'є', "cyrillic small letter ukrainian ie"),
    (0x455, 'ѕ', "cyrillic small letter dze"),
    (0x456, 'і', "cyrillic small letter byelorussian-ukrainian i"),
    (0x457, 'ї', "cyrillic small letter yi"),
    (0x458, 'ј', "cyrillic small letter je"),
    (0x459, 'љ', "cyrillic small letter lje"),
    (0x45A, 'њ', "cyrillic small letter nje"),
    (0x45B, 'ћ', "cyrillic small letter tshe"),
    (0x45C, 'ќ', "cyrillic small letter kje"),
    (0x45D, 'ѝ', "cyrillic small letter i with grave"),
    (0x45E, 'ў', "cyrillic small letter short u"),
    (0x45F, 'џ', "cyrillic small letter dzhe"),
    (0x462, 'Ѣ', "cyrillic capital letter yat"),
    (0x463, 'ѣ', "cyrillic small letter yat"),
    (0x472, 'Ѳ', "cyrillic capital letter fita"),
    (0x473, 'ѳ', "cyrillic small letter fita"),
    (0x474, 'Ѵ', "cyrillic capital letter izhitsa"),
    (0x475, 'ѵ', "cyrillic small letter izhitsa"),
    (0x48A, 'Ҋ', "cyrillic capital letter short i with tail"),
    (0x48B, 'ҋ', "cyrillic small letter short i with tail"),
    (0x48C, 'Ҍ', "cyrillic capital letter semisoft sign"),
    (0x48D, 'ҍ', "cyrillic small letter semisoft sign"),
    (0x48E, 'Ҏ', "cyrillic capital letter er with tick"),
    (0x48F, 'ҏ', "cyrillic small letter er with tick"),
    (0x490, 'Ґ', "cyrillic capital letter ghe with upturn"),
    (0x491, 'ґ', "cyrillic small letter ghe with upturn"),
    (0x492, 'Ғ', "cyrillic capital letter ghe with stroke"),
    (0x493, 'ғ', "cyrillic small letter ghe with stroke"),
    (0x494, 'Ҕ', "cyrillic capital letter ghe with middle hook"),
    (0x495, 'ҕ', "cyrillic small letter ghe with middle hook"),
    (0x496, 'Җ', "cyrillic capital letter zhe with descender"),
    (0x497, 'җ', "cyrillic small letter zhe with descender"),
    (0x498, 'Ҙ', "cyrillic capital letter ze with descender"),
    (0x499, 'ҙ', "cyrillic small letter ze with descender"),
    (0x49A, 'Қ', "cyrillic capital letter ka with descender"),
    (0x49B, 'қ', "cyrillic small letter ka with descender"),
    (0x49C, 'Ҝ', "cyrillic capital letter ka with vertical stroke"),
    (0x49D, 'ҝ', "cyrillic small letter ka with vertical stroke"),
    (0x49E, 'Ҟ', "cyrillic capital letter ka with stroke"),
    (0x49F, 'ҟ', "cyrillic small letter ka with stroke"),
    (0x4A0, 'Ҡ', "cyrillic capital letter bashkir ka"),
    (0x4A1, 'ҡ', "cyrillic small letter bashkir ka"),
    (0x4A2, 'Ң', "cyrillic capital letter en with descender"),
    (0x4A3, 'ң', "cyrillic small letter en with descender"),
    (0x4A4, 'Ҥ', "cyrillic capital ligature en ghe"),
    (0x4A5, 'ҥ', "cyrillic small ligature en ghe"),
    (0x4A6, 'Ҧ', "cyrillic capital letter pe with middle hook"),
    (0x4A7, 'ҧ', "cyrillic small letter pe with middle hook"),
    (0x4A8, 'Ҩ', "cyrillic capital letter abkhasian ha"),
    (0x4A9, 'ҩ', "cyrillic small letter abkhasian ha"),
    (0x4AA, 'Ҫ', "cyrillic capital letter es with descender"),
    (0x4AB, 'ҫ', "cyrillic small letter es with descender"),
    (0x4AC, 'Ҭ', "cyrillic capital letter te with descender"),
    (0x4AD, 'ҭ', "cyrillic small letter te with descender"),
    (0x4AE, 'Ү', "cyrillic capital letter straight u"),
    (0x4AF, 'ү', "cyrillic small letter straight u"),
    (0x4B0, 'Ұ', "cyrillic capital letter straight u with stroke"),
    (0x4B1, 'ұ', "cyrillic small letter straight u with stroke"),
    (0x4B2, 'Ҳ', "cyrillic capital letter ha with descender"),
    (0x4B3, 'ҳ', "cyrillic small letter ha with descender"),
    (0x4B4, 'Ҵ', "cyrillic capital ligature te tse"),
    (0x4B5, 'ҵ', "cyrillic small ligature te tse"),
    (0x4B6, 'Ҷ', "cyrillic capital letter che with descender"),
    (0x4B7, 'ҷ', "cyrillic small letter che with descender"),
    (0x4B8, 'Ҹ', "cyrillic capital letter che with vertical stroke"),
    (0x4B9, 'ҹ', "cyrillic small letter che with vertical stroke"),
    (0x4BA, 'Һ', "cyrillic capital letter shha"),
    (0x4BB, 'һ', "cyrillic small letter shha"),
    (0x4BC, 'Ҽ', "cyrillic capital letter abkhasian che"),
    (0x4BD, 'ҽ', "cyrillic small letter abkhasian che"),
    (0x4BE, 'Ҿ', "cyrillic capital letter abkhasian che with descender"),
    (0x4BF, 'ҿ', "cyrillic small letter abkhasian che with descender"),
    (0x4C0, 'Ӏ', "cyrillic letter palochka"),
    (0x4C1, 'Ӂ', "cyrillic capital letter zhe with breve"),
    (0x4C2, 'ӂ', "cyrillic small letter zhe with breve"),
    (0x4C3, 'Ӄ', "cyrillic capital letter ka with hook"),
    (0x4C4, 'ӄ', "cyrillic small letter ka with hook"),
    (0x4C5, 'Ӆ', "cyrillic capital letter el with tail"),
    (0x4C6, 'ӆ', "cyrillic small letter el with tail"),
    (0x4C7, 'Ӈ', "cyrillic capital letter en with hook"),
    (0x4C8, 'ӈ', "cyrillic small letter en with hook"),
    (0x4C9, 'Ӊ', "cyrillic capital letter en with tail"),
    (0x4CA, 'ӊ', "cyrillic small letter en with tail"),
    (0x4CB, 'Ӌ', "cyrillic capital letter khakassian che"),
    (0x4CC, 'ӌ', "cyrillic small letter khakassian che"),
    (0x4CD, 'Ӎ', "cyrillic capital letter em with tail"),
    (0x4CE, 'ӎ', "cyrillic small letter em with tail"),
    (0x4CF, 'ӏ', "cyrillic small letter palochka"),
    (0x4D0, 'Ӑ', "cyrillic capital letter a with breve"),
    (0x4D1, 'ӑ', "cyrillic small letter a with breve"),
    (0x4D2, 'Ӓ', "cyrillic capital letter a with diaeresis"),
    (0x4D3, 'ӓ', "cyrillic small letter a with diaeresis"),
    (0x4D4, 'Ӕ', "cyrillic capital ligature a ie"),
    (0x4D5, 'ӕ', "cyrillic small ligature a ie"),
    (0x4D6, 'Ӗ', "cyrillic capital letter ie with breve"),
    (0x4D7, 'ӗ', "cyrillic small letter ie with breve"),
    (0x4D8, 'Ә', "cyrillic capital letter schwa"),
    (0x4D9, 'ә', "cyrillic small letter schwa"),
    (0x4DA, 'Ӛ', "cyrillic capital letter schwa with diaeresis"),
    (0x4DB, 'ӛ', "cyrillic small letter schwa with diaeresis"),
    (0x4DC, 'Ӝ', "cyrillic capital letter zhe with diaeresis"),
    (0x4DD, 'ӝ', "cyrillic small letter zhe with diaeresis"),
    (0x4DE, 'Ӟ', "cyrillic capital letter ze with diaeresis"),
    (0x4DF, 'ӟ', "cyrillic small letter ze with diaeresis"),
    (0x4E0, 'Ӡ', "cyrillic capital letter abkhasian dze"),
    (0x4E1, 'ӡ', "cyrillic small letter abkhasian dze"),
    (0x4E2, 'Ӣ', "cyrillic capital letter i with macron"),
    (0x4E3, 'ӣ', "cyrillic small letter i with macron"),
    (0x4E4, 'Ӥ', "cyrillic capital letter i with diaeresis"),
    (0x4E5, 'ӥ', "cyrillic small letter i with diaeresis"),
    (0x4E6, 'Ӧ', "cyrillic capital letter o with diaeresis"),
    (0x4E7, 'ӧ', "cyrillic small letter o with diaeresis"),
    (0x4E8, 'Ө', "cyrillic capital letter barred o"),
    (0x4E9, 'ө', "cyrillic small letter barred o"),
    (0x4EA, 'Ӫ', "cyrillic capital letter barred o with diaeresis"),
    (0x4EB, 'ӫ', "cyrillic small letter barred o with diaeresis"),
    (0x4EC, 'Ӭ', "cyrillic capital letter e with diaeresis"),
    (0x4ED, 'ӭ', "cyrillic small letter e with diaeresis"),
    (0x4EE, 'Ӯ', "cyrillic capital letter u with macron"),
    (0x4EF, 'ӯ', "cyrillic small letter u with macron"),
    (0x4F0, 'Ӱ', "cyrillic capital letter u with diaeresis"),
    (0x4F1, 'ӱ', "cyrillic small letter u with diaeresis"),
    (0x4F2, 'Ӳ', "cyrillic capital letter u with double acute"),
    (0x4F3, 'ӳ', "cyrillic small letter u with double acute"),
    (0x4F4, 'Ӵ', "cyrillic capital letter che with diaeresis"),
    (0x4F5, 'ӵ', "cyrillic small letter che with diaeresis"),
    (0x4F6, 'Ӷ', "cyrillic capital letter ghe with descender"),
    (0x4F7, 'ӷ', "cyrillic small letter ghe with descender"),
    (0x4F8, 'Ӹ', "cyrillic capital letter yeru with diaeresis"),
    (0x4F9, 'ӹ', "cyrillic small letter yeru with diaeresis"),
    (0x1E80, 'Ẁ', "latin capital letter w with grave"),
    (0x1E81, 'ẁ', "latin small letter w with grave"),
    (0x1E82, 'Ẃ', "latin capital letter w with acute"),
    (0x1E83, 'ẃ', "latin small letter w with acute"),
    (0x1E84, 'Ẅ', "latin capital letter w with diaeresis"),
    (0x1E85, 'ẅ', "latin small letter w with diaeresis"),
    (0x1EF2, 'Ỳ', "latin capital letter y with grave"),
    (0x1EF3, 'ỳ', "latin small letter y with grave"),
    (0x1F00, 'ἀ', "greek small letter alpha with psili"),
    (0x1F01, 'ἁ', "greek small letter alpha with dasia"),
    (0x1F02, 'ἂ', "greek small letter alpha with psili and varia"),
    (0x1F03, 'ἃ', "greek small letter alpha with dasia and varia"),
    (0x1F04, 'ἄ', "greek small letter alpha with psili and oxia"),
    (0x1F05, 'ἅ', "greek small letter alpha with dasia and oxia"),
    (0x1F06, 'ἆ', "greek small letter alpha with psili and perispomeni"),
    (0x1F07, 'ἇ', "greek small letter alpha with dasia and perispomeni"),
    (0x1F08, 'Ἀ', "greek capital letter alpha with psili"),
    (0x1F09, 'Ἁ', "greek capital letter alpha with dasia"),
    (0x1F0A, 'Ἂ', "greek capital letter alpha with psili and varia"),
    (0x1F0B, 'Ἃ', "greek capital letter alpha with dasia and varia"),
    (0x1F0C, 'Ἄ', "greek capital letter alpha with psili and oxia"),
    (0x1F0D, 'Ἅ', "greek capital letter alpha with dasia and oxia"),
    (0x1F0E, 'Ἆ', "greek capital letter alpha with psili and perispomeni"),
    (0x1F0F, 'Ἇ', "greek capital letter alpha with dasia and perispomeni"),
    (0x1F10, 'ἐ', "greek small letter epsilon with psili"),
    (0x1F11, 'ἑ', "greek small letter epsilon with dasia"),
    (0x1F12, 'ἒ', "greek small letter epsilon with psili and varia"),
    (0x1F13, 'ἓ', "greek small letter epsilon with dasia and varia"),
    (0x1F14, 'ἔ', "greek small letter epsilon with psili and oxia"),
    (0x1F15, 'ἕ', "greek small letter epsilon with dasia and oxia"),
    (0x1F18, 'Ἐ', "greek capital letter epsilon with psili"),
    (0x1F19, 'Ἑ', "greek capital letter epsilon with dasia"),
    (0x1F1A, 'Ἒ', "greek capital letter epsilon with psili and varia"),
    (0x1F1B, 'Ἓ', "greek capital letter epsilon with dasia and varia"),
    (0x1F1C, 'Ἔ', "greek capital letter epsilon with psili and oxia"),
    (0x1F1D, 'Ἕ', "greek capital letter epsilon with dasia and oxia"),
    (0x1F20, 'ἠ', "greek small letter eta with psili"),
    (0x1F21, 'ἡ', "greek small letter eta with dasia"),
    (0x1F22, 'ἢ', "greek small letter eta with psili and varia"),
    (0x1F23, 'ἣ', "greek small letter eta with dasia and varia"),
    (0x1F24, 'ἤ', "greek small letter eta with psili and oxia"),
    (0x1F25, 'ἥ', "greek small letter eta with dasia and oxia"),
    (0x1F26, 'ἦ', "greek small letter eta with psili and perispomeni"),
    (0x1F27, 'ἧ', "greek small letter eta with dasia and perispomeni"),
    (0x1F28, 'Ἠ', "greek capital letter eta with psili"),
    (0x1F29, 'Ἡ', "greek capital letter eta with dasia"),
    (0x1F2A, 'Ἢ', "greek capital letter eta with psili and varia"),
    (0x1F2B, 'Ἣ', "greek capital letter eta with dasia and varia"),
    (0x1F2C, 'Ἤ', "greek capital letter eta with psili and oxia"),
    (0x1F2D, 'Ἥ', "greek capital letter eta with dasia and oxia"),
    (0x1F2E, 'Ἦ', "greek capital letter eta with psili and perispomeni"),
    (0x1F2F, 'Ἧ', "greek capital letter eta with dasia and perispomeni"),
    (0x1F30, 'ἰ', "greek small letter iota with psili"),
    (0x1F31, 'ἱ', "greek small letter iota with dasia"),
    (0x1F32, 'ἲ', "greek small letter iota with psili and varia"),
    (0x1F33, 'ἳ', "greek small letter iota with dasia and varia"),
    (0x1F34, 'ἴ', "greek small letter iota with psili and oxia"),
    (0x1F35, 'ἵ', "greek small letter iota with dasia and oxia"),
    (0x1F36, 'ἶ', "greek small letter iota with psili and perispomeni"),
    (0x1F37, 'ἷ', "greek small letter iota with dasia and perispomeni"),
    (0x1F38, 'Ἰ', "greek capital letter iota with psili"),
    (0x1F39, 'Ἱ', "greek capital letter iota with dasia"),
    (0x1F3A, 'Ἲ', "greek capital letter iota with psili and varia"),
    (0x1F3B, 'Ἳ', "greek capital letter iota with dasia and varia"),
    (0x1F3C, 'Ἴ', "greek capital letter iota with psili and oxia"),
    (0x1F3D, 'Ἵ', "greek capital letter iota with dasia and oxia"),
    (0x1F3E, 'Ἶ', "greek capital letter iota with psili and perispomeni"),
    (0x1F3F, 'Ἷ', "greek capital letter iota with dasia and perispomeni"),
    (0x1F40, 'ὀ', "greek small letter omicron with psili"),
    (0x1F41, 'ὁ', "greek small letter omicron with dasia"),
    (0x1F42, 'ὂ', "greek small letter omicron with psili and varia"),
    (0x1F43, 'ὃ', "greek small letter omicron with dasia and varia"),
    (0x1F44, 'ὄ', "greek small letter omicron with psili and oxia"),
    (0x1F45, 'ὅ', "greek small letter omicron with dasia and oxia"),
    (0x1F48, 'Ὀ', "greek capital letter omicron with psili"),
    (0x1F49, 'Ὁ', "greek capital letter omicron with dasia"),
    (0x1F4A, 'Ὂ', "greek capital letter omicron with psili and varia"),
    (0x1F4B, 'Ὃ', "greek capital letter omicron with dasia and varia"),
    (0x1F4C, 'Ὄ', "greek capital letter omicron with psili and oxia"),
    (0x1F4D, 'Ὅ', "greek capital letter omicron with dasia and oxia"),
    (0x1F50, 'ὐ', "greek small letter upsilon with psili"),
    (0x1F51, 'ὑ', "greek small letter upsilon with dasia"),
    (0x1F52, 'ὒ', "greek small letter upsilon with psili and varia"),
    (0x1F53, 'ὓ', "greek small letter upsilon with dasia and varia"),
    (0x1F54, 'ὔ', "greek small letter upsilon with psili and oxia"),
    (0x1F55, 'ὕ', "greek small letter upsilon with dasia and oxia"),
    (0x1F56, 'ὖ', "greek small letter upsilon with psili and perispomeni"),
    (0x1F57, 'ὗ', "greek small letter upsilon with dasia and perispomeni"),
    (0x1F59, 'Ὑ', "greek capital letter upsilon with dasia"),
    (0x1F5B, 'Ὓ', "greek capital letter upsilon with dasia and varia"),
    (0x1F5D, 'Ὕ', "greek capital letter upsilon with dasia and oxia"),
    (0x1F5F, 'Ὗ', "greek capital letter upsilon with dasia and perispomeni"),
    (0x1F60, 'ὠ', "greek small letter omega with psili"),
    (0x1F61, 'ὡ', "greek small letter omega with dasia"),
    (0x1F62, 'ὢ', "greek small letter omega with psili and varia"),
    (0x1F63, 'ὣ', "greek small letter omega with dasia and varia"),
    (0x1F64, 'ὤ', "greek small letter omega with psili and oxia"),
    (0x1F65, 'ὥ', "greek small letter omega with dasia and oxia"),
    (0x1F66, 'ὦ', "greek small letter omega with psili and perispomeni"),
    (0x1F67, 'ὧ', "greek small letter omega with dasia and perispomeni"),
    (0x1F68, 'Ὠ', "greek capital letter omega with psili"),
    (0x1F69, 'Ὡ', "greek capital letter omega with dasia"),
    (0x1F6A, 'Ὢ', "greek capital letter omega with psili and varia"),
    (0x1F6B, 'Ὣ', "greek capital letter omega with dasia and varia"),
    (0x1F6C, 'Ὤ', "greek capital letter omega with psili and oxia"),
    (0x1F6D, 'Ὥ', "greek capital letter omega with dasia and oxia"),
    (0x1F6E, 'Ὦ', "greek capital letter omega with psili and perispomeni"),
    (0x1F6F, 'Ὧ', "greek capital letter omega with dasia and perispomeni"),
    (0x1F70, 'ὰ', "greek small letter alpha with varia"),
    (0x1F71, 'ά', "greek small letter alpha with oxia"),
    (0x1F72, 'ὲ', "greek small letter epsilon with varia"),
    (0x1F73, 'έ', "greek small letter epsilon with oxia"),
    (0x1F74, 'ὴ', "greek small letter eta with varia"),
    (0x1F75, 'ή', "greek small letter eta with oxia"),
    (0x1F76, 'ὶ', "greek small letter iota with varia"),
    (0x1F77, 'ί', "greek small letter iota with oxia"),
    (0x1F78, 'ὸ', "greek small letter omicron with varia"),
    (0x1F79, 'ό', "greek small letter omicron with oxia"),
    (0x1F7A, 'ὺ', "greek small letter upsilon with varia"),
    (0x1F7B, 'ύ', "greek small letter upsilon with oxia"),
    (0x1F7C, 'ὼ', "greek small letter omega with varia"),
    (0x1F7D, 'ώ', "greek small letter omega with oxia"),
    (0x1F80, 'ᾀ', "greek small letter alpha with psili and ypogegrammeni"),
    (0x1F81, 'ᾁ', "greek small letter alpha with dasia and ypogegrammeni"),
    (0x1F82, 'ᾂ', "greek small letter alpha with psili and varia and ypogegrammeni"),
    (0x1F83, 'ᾃ', "greek small letter alpha with dasia and varia and ypogegrammeni"),
    (0x1F84, 'ᾄ', "greek small letter alpha with psili and oxia and ypogegrammeni"),
    (0x1F85, 'ᾅ', "greek small letter alpha with dasia and oxia and ypogegrammeni"),
    (0x1F86, 'ᾆ', "greek small letter alpha with psili and perispomeni and ypogegrammeni"),
    (0x1F87, 'ᾇ', "greek small letter alpha with dasia and perispomeni and ypogegrammeni"),
    (0x1F88, 'ᾈ', "greek capital letter alpha with psili and prosgegrammeni"),
    (0x1F89, 'ᾉ', "greek capital letter alpha with dasia and prosgegrammeni"),
    (0x1F8A, 'ᾊ', "greek capital letter alpha with psili and varia and prosgegrammeni"),
    (0x1F8B, 'ᾋ', "greek capital letter alpha with dasia and varia and prosgegrammeni"),
    (0x1F8C, 'ᾌ', "greek capital letter alpha with psili and oxia and prosgegrammeni"),
    (0x1F8D, 'ᾍ', "greek capital letter alpha with dasia and oxia and prosgegrammeni"),
    (0x1F8E, 'ᾎ', "greek capital letter alpha with psili and perispomeni and prosgegrammeni"),
    (0x1F8F, 'ᾏ', "greek capital letter alpha with dasia and perispomeni and prosgegrammeni"),
    (0x1F90, 'ᾐ', "greek small letter eta with psili and ypogegrammeni"),
    (0x1F91, 'ᾑ', "greek small letter eta with dasia and ypogegrammeni"),
    (0x1F92, 'ᾒ', "greek small letter eta with psili and varia and ypogegrammeni"),
    (0x1F93, 'ᾓ', "greek small letter eta with dasia and varia and ypogegrammeni"),
    (0x1F94, 'ᾔ', "greek small letter eta with psili and oxia and ypogegrammeni"),
    (0x1F95, 'ᾕ', "greek small letter eta with dasia and oxia and ypogegrammeni"),
    (0x1F96, 'ᾖ', "greek small letter eta with psili and perispomeni and ypogegrammeni"),
    (0x1F97, 'ᾗ', "greek small letter eta with dasia and perispomeni and ypogegrammeni"),
    (0x1F98, 'ᾘ', "greek capital letter eta with psili and prosgegrammeni"),
    (0x1F99, 'ᾙ', "greek capital letter eta with dasia and prosgegrammeni"),
    (0x1F9A, 'ᾚ', "greek capital letter eta with psili and varia and prosgegrammeni"),
    (0x1F9B, 'ᾛ', "greek capital letter eta with dasia and varia and prosgegrammeni"),
    (0x1F9C, 'ᾜ', "greek capital letter eta with psili and oxia and prosgegrammeni"),
    (0x1F9D, 'ᾝ', "greek capital letter eta with dasia and oxia and prosgegrammeni"),
    (0x1F9E, 'ᾞ', "greek capital letter eta with psili and perispomeni and prosgegrammeni"),
    (0x1F9F, 'ᾟ', "greek capital letter eta with dasia and perispomeni and prosgegrammeni"),
    (0x1FA0, 'ᾠ', "greek small letter omega with psili and ypogegrammeni"),
    (0x1FA1, 'ᾡ', "greek small letter omega with dasia and ypogegrammeni"),
    (0x1FA2, 'ᾢ', "greek small letter omega with psili and varia and ypogegrammeni"),
    (0x1FA3, 'ᾣ', "greek small letter omega with dasia and varia and ypogegrammeni"),
    (0x1FA4, 'ᾤ', "greek small letter omega with psili and oxia and ypogegrammeni"),
    (0x1FA5, 'ᾥ', "greek small letter omega with dasia and oxia and ypogegrammeni"),
    (0x1FA6, 'ᾦ', "greek small letter omega with psili and perispomeni and ypogegrammeni"),
    (0x1FA7, 'ᾧ', "greek small letter omega with dasia and perispomeni and ypogegrammeni"),
    (0x1FA8, 'ᾨ', "greek capital letter omega with psili and prosgegrammeni"),
    (0x1FA9, 'ᾩ', "greek capital letter omega with dasia and prosgegrammeni"),
    (0x1FAA, 'ᾪ', "greek capital letter omega with psili and varia and prosgegrammeni"),
    (0x1FAB, 'ᾫ', "greek capital letter omega with dasia and varia and prosgegrammeni"),
    (0x1FAC, 'ᾬ', "greek capital letter omega with psili and oxia and prosgegrammeni"),
    (0x1FAD, 'ᾭ', "greek capital letter omega with dasia and oxia and prosgegrammeni"),
    (0x1FAE, 'ᾮ', "greek capital letter omega with psili and perispomeni and prosgegrammeni"),
    (0x1FAF, 'ᾯ', "greek capital letter omega with dasia and perispomeni and prosgegrammeni"),
    (0x1FB0, 'ᾰ', "greek small letter alpha with vrachy"),
    (0x1FB1, 'ᾱ', "greek small letter alpha with macron"),
    (0x1FB2, 'ᾲ', "greek small letter alpha with varia and ypogegrammeni"),
    (0x1FB3, 'ᾳ', "greek small letter alpha with ypogegrammeni"),
    (0x1FB4, 'ᾴ', "greek small letter alpha with oxia and ypogegrammeni"),
    (0x1FB6, 'ᾶ', "greek small letter alpha with perispomeni"),
    (0x1FB7, 'ᾷ', "greek small letter alpha with perispomeni and ypogegrammeni"),
    (0x1FB8, 'Ᾰ', "greek capital letter alpha with vrachy"),
    (0x1FB9, 'Ᾱ', "greek capital letter alpha with macron"),
    (0x1FBA, 'Ὰ', "greek capital letter alpha with varia"),
    (0x1FBB, 'Ά', "greek capital letter alpha with oxia"),
    (0x1FBC, 'ᾼ', "greek capital letter alpha with prosgegrammeni"),
    (0x1FBD, '᾽', "greek koronis"),
    (0x1FBE, 'ι', "greek prosgegrammeni"),
    (0x1FBF, '᾿', "greek psili"),
    (0x1FC0, '῀', "greek perispomeni"),
    (0x1FC1, '῁', "greek dialytika and perispomeni"),
    (0x1FC2, 'ῂ', "greek small letter eta with varia and ypogegrammeni"),
    (0x1FC3, 'ῃ', "greek small letter eta with ypogegrammeni"),
    (0x1FC4, 'ῄ', "greek small letter eta with oxia and ypogegrammeni"),
    (0x1FC6, 'ῆ', "greek small letter eta with perispomeni"),
    (0x1FC7, 'ῇ', "greek small letter eta with perispomeni and ypogegrammeni"),
    (0x1FC8, 'Ὲ', "greek capital letter epsilon with varia"),
    (0x1FC9, 'Έ', "greek capital letter epsilon with oxia"),
    (0x1FCA, 'Ὴ', "greek capital letter eta with varia"),
    (0x1FCB, 'Ή', "greek capital letter eta with oxia"),
    (0x1FCC, 'ῌ', "greek capital letter eta with prosgegrammeni"),
    (0x1FCD, '῍', "greek psili and varia"),
    (0x1FCE, '῎', "greek psili and oxia"),
    (0x1FCF, '῏', "greek psili and perispomeni"),
    (0x1FD0, 'ῐ', "greek small letter iota with vrachy"),
    (0x1FD1, 'ῑ', "greek small letter iota with macron"),
    (0x1FD2, 'ῒ', "greek small letter iota with dialytika and varia"),
    (0x1FD3, 'ΐ', "greek small letter iota with dialytika and oxia"),
    (0x1FD6, 'ῖ', "greek small letter iota with perispomeni"),
    (0x1FD7, 'ῗ', "greek small letter iota with dialytika and perispomeni"),
    (0x1FD8, 'Ῐ', "greek capital letter iota with vrachy"),
    (0x1FD9, 'Ῑ', "greek capital letter iota with macron"),
    (0x1FDA, 'Ὶ', "greek capital letter iota with varia"),
    (0x1FDB, 'Ί', "greek capital letter iota with oxia"),
    (0x1FDD, '῝', "greek dasia and varia"),
    (0x1FDE, '῞', "greek dasia and oxia"),
    (0x1FDF, '῟', "greek dasia and perispomeni"),
    (0x1FE0, 'ῠ', "greek small letter upsilon with vrachy"),
    (0x1FE1, 'ῡ', "greek small letter upsilon with macron"),
    (0x1FE2, 'ῢ', "greek small letter upsilon with dialytika and varia"),
    (0x1FE3, 'ΰ', "greek small letter upsilon with dialytika and oxia"),
    (0x1FE4, 'ῤ', "greek small letter rho with psili"),
    (0x1FE5, 'ῥ', "greek small letter rho with dasia"),
    (0x1FE6, 'ῦ', "greek small letter upsilon with perispomeni"),
    (0x1FE7, 'ῧ', "greek small letter upsilon with dialytika and perispomeni"),
    (0x1FE8, 'Ῠ', "greek capital letter upsilon with vrachy"),
    (0x1FE9, 'Ῡ', "greek capital letter upsilon with macron"),
    (0x1FEA, 'Ὺ', "greek capital letter upsilon with varia"),
    (0x1FEB, 'Ύ', "greek capital letter upsilon with oxia"),
    (0x1FEC, 'Ῥ', "greek capital letter rho with dasia"),
    (0x1FED, '῭', "greek dialytika and varia"),
    (0x1FEE, '΅', "greek dialytika and oxia"),
    (0x1FEF, '`', "greek varia"),
    (0x1FF2, 'ῲ', "greek small letter omega with varia and ypogegrammeni"),
    (0x1FF3, 'ῳ', "greek small letter omega with ypogegrammeni"),
    (0x1FF4, 'ῴ', "greek small letter omega with oxia and ypogegrammeni"),
    (0x1FF6, 'ῶ', "greek small letter omega with perispomeni"),
    (0x1FF7, 'ῷ', "greek small letter omega with perispomeni and ypogegrammeni"),
    (0x1FF8, 'Ὸ', "greek capital letter omicron with varia"),
    (0x1FF9, 'Ό', "greek capital letter omicron with oxia"),
    (0x1FFA, 'Ὼ', "greek capital letter omega with varia"),
    (0x1FFB, 'Ώ', "greek capital letter omega with oxia"),
    (0x1FFC, 'ῼ', "greek capital letter omega with prosgegrammeni"),
    (0x1FFD, '´', "greek oxia"),
    (0x1FFE, '῾', "greek dasia"),
    (0x2013, '–', "en dash"),
    (0x2014, '—', "em dash"),
    (0x2015, '―', "horizontal bar"),
    (0x2018, '‘', "left single quotation mark"),
    (0x2019, '’', "right single quotation mark"),
    (0x201A, '‚', "single low-9 quotation mark"),
    (0x201C, '“', "left double quotation mark"),
    (0x201D, '”', "right double quotation mark"),
    (0x201E, '„', "double low-9 quotation mark"),
    (0x2020, '†', "dagger"),
    (0x2021, '‡', "double dagger"),
    (0x2022, '•', "bullet"),
    (0x2026, '…', "horizontal ellipsis"),
    (0x2030, '‰', "per mille sign"),
    (0x2039, '‹', "single left-pointing angle quotation mark"),
    (0x203A, '›', "single right-pointing angle quotation mark"),
    (0x2044, '⁄', "fraction slash"),
    (0x2070, '⁰', "superscript zero"),
    (0x2074, '⁴', "superscript four"),
    (0x2075, '⁵', "superscript five"),
    (0x2076, '⁶', "superscript six"),
    (0x2077, '⁷', "superscript seven"),
    (0x2078, '⁸', "superscript eight"),
    (0x2079, '⁹', "superscript nine"),
    (0x2080, '₀', "subscript zero"),
    (0x2081, '₁', "subscript one"),
    (0x2082, '₂', "subscript two"),
    (0x2083, '₃', "subscript three"),
    (0x2084, '₄', "subscript four"),
    (0x2085, '₅', "subscript five"),
    (0x2086, '₆', "subscript six"),
    (0x2087, '₇', "subscript seven"),
    (0x2088, '₈', "subscript eight"),
    (0x2089, '₉', "subscript nine"),
    (0x20AC, '€', "euro sign"),
    (0x20AE, '₮', "tugrik sign"),
    (0x20B4, '₴', "hryvnia sign"),
    (0x20B9, '₹', "indian rupee sign"),
    (0x2113, 'ℓ', "script small l"),
    (0x2116, '№', "numero sign"),
    (0x2122, '™', "trade mark sign"),
    (0x2126, 'Ω', "ohm sign"),
    (0x212E, '℮', "estimated symbol"),
    (0x2153, '⅓', "vulgar fraction one third"),
    (0x2154, '⅔', "vulgar fraction two thirds"),
    (0x2155, '⅕', "vulgar fraction one fifth"),
    (0x2156, '⅖', "vulgar fraction two fifths"),
    (0x2157, '⅗', "vulgar fraction three fifths"),
    (0x2158, '⅘', "vulgar fraction four fifths"),
    (0x2159, '⅙', "vulgar fraction one sixth"),
    (0x215A, '⅚', "vulgar fraction five sixths"),
    (0x215B, '⅛', "vulgar fraction one eighth"),
    (0x215C, '⅜', "vulgar fraction three eighths"),
    (0x215D, '⅝', "vulgar fraction five eighths"),
    (0x215E, '⅞', "vulgar fraction seven eighths"),
    (0x2202, '∂', "partial differential"),
    (0x2206, '∆', "increment"),
    (0x220F, '∏', "n-ary product"),
    (0x2211, '∑', "n-ary summation"),
    (0x2212, '−', "minus sign"),
    (0x2215, '∕', "division slash"),
    (0x2219, '∙', "bullet operator"),
    (0x221A, '√', "square root"),
    (0x221E, '∞', "infinity"),
    (0x222B, '∫', "integral"),
    (0x2248, '≈', "almost equal to"),
    (0x2260, '≠', "not equal to"),
    (0x2264, '≤', "less-than or equal to"),
    (0x2265, '≥', "greater-than or equal to"),
    (0x25CA, '◊', "lozenge"),
    // (0xE0FF, '', "ubuntu logo large"),
    // (0xEFFD, '', "0.830"),
    (0xF000, '', "uniF000"),
    (0xF001, '', "fi"),
    (0xF002, '', "fl"),
    // (0xF0FF, '', "ubuntu logo small"),
    // (0xF200, '', "ubuntu"),
    (0xF506, '', "oneseventh"),
    (0xF507, '', "twosevenths"),
    (0xF508, '', "threesevenths"),
    (0xF509, '', "foursevenths"),
    (0xF50A, '', "fivesevenths"),
    (0xF50B, '', "sixsevenths"),
    (0xF50C, '', "oneninth"),
    (0xF50D, '', "twoninths"),
    (0xF50E, '', "fourninths"),
    (0xF50F, '', "fiveninths"),
    (0xF510, '', "sevenninths"),
    (0xF511, '', "eightninths"),
    (0xF800, '', "zero.alt"),
    (0xF801, '', "one.alt"),
    (0xF802, '', "two.alt"),
    (0xF803, '', "three.alt"),
    (0xF804, '', "four.alt"),
    (0xF805, '', "five.alt"),
    (0xF806, '', "six.alt"),
    (0xF807, '', "seven.alt"),
    (0xF808, '', "eight.alt"),
    (0xF809, '', "nine.alt"),
    (0xF80A, '', "zero.sups"),
    (0xF80B, '', "one.sups"),
    (0xF80C, '', "two.sups"),
    (0xF80D, '', "three.sups"),
    (0xF80E, '', "four.sups"),
    (0xF80F, '', "five.sups"),
    (0xF810, '', "six.sups"),
    (0xF811, '', "seven.sups"),
    (0xF812, '', "eight.sups"),
    (0xF813, '', "nine.sups"),
    (0xF814, '', "zero.sinf"),
    (0xF815, '', "one.sinf"),
    (0xF816, '', "two.sinf"),
    (0xF817, '', "three.sinf"),
    (0xF818, '', "four.sinf"),
    (0xF819, '', "five.sinf"),
    (0xF81A, '', "six.sinf"),
    (0xF81B, '', "seven.sinf"),
    (0xF81C, '', "eight.sinf"),
    (0xF81D, '', "nine.sinf"),
    (0xFB00, 'ﬀ', "latin small ligature ff"),
    (0xFB01, 'ﬁ', "latin small ligature fi"),
    (0xFB02, 'ﬂ', "latin small ligature fl"),
    (0xFB03, 'ﬃ', "latin small ligature ffi"),
    (0xFB04, 'ﬄ', "latin small ligature ffl"),
];
